<div class="input-icon">

  {{#if @parentValue}}
    <div class="form-check form-switch mb-4">
      <Input class="form-check-input btn-use-parent-icon" id="{{this.elementId}}-use-parent-icon" @checked={{this.useParent}} @type="checkbox" />

      <label class="form-check-label" for="{{this.elementId}}-use-parent-icon">{{t "use the parent image"}}</label>
    </div>
  {{/if}}

  {{#if this.isEmpty}}
    {{#unless @isNew}}
      <div class="alert alert-danger alert-select-icon" role="alert">
        {{t "message-alert-select-icon"}}
      </div>
    {{/unless}}

    <button class="btn btn-primary btn-select-icon lg" type="button" disabled={{@disabled}} {{on "click" this.selectFile}}>
      {{t "select file"}}
    </button>
  {{else}}
    <div class="input-icon-container">
      <div class="icon-size-view size-lg">
        <img src={{this.image}} alt="icon" />
        100x100

        {{#if @isSaving}}
          <FaIcon @icon="spinner" @spin={{true}} />
        {{/if}}
      </div>

      <div class="icon-size-view size-sm">
        <img src={{this.image}} alt="icon" />
        64x64

        {{#if @isSaving}}
          <FaIcon @icon="spinner" @spin={{true}} />
        {{/if}}
      </div>

      <div class="icon-size-view size-xs">
        <img src={{this.image}} alt="icon" />
        21x21

        {{#if @isSaving}}
          <FaIcon @icon="spinner" @spin={{true}} />
        {{/if}}
      </div>
    </div>

    {{#unless this.useParent}}
      <button class="btn btn-primary btn-replace-icon" disabled={{@disabled}} type="button" {{on "click" this.selectFile}}>
        {{t "select file"}}
      </button>
    {{/unless}}
  {{/if}}

  {{! template-lint-disable require-input-label }}
  <input id={{@id}} {{did-insert this.render}} {{on "change" this.fileSelected}} type="file" class="d-none" accept="image/*;capture=camera" />
</div>